<!DOCTYPE html>
{% load render_vite_bundle %}
<html lang="en">
  
<!-- 
  For this base.html to work in dev and in production,
  you'll need to set a couple of keys inside your settings.py.
  Another file in this gist shows which ones you'll really need.
-->

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Delvin</title>

  {% if debug %}
  <script type="module" src="http://localhost:3000/@vite/client"></script>
  <!-- If you're using vite with React, this next script will be needed for HMR -->
  <script type="module">
    import RefreshRuntime from 'http://localhost:3000/@react-refresh'
    if (RefreshRuntime) {
      RefreshRuntime.injectIntoGlobalHook(window)
      window.$RefreshReg$ = () => { }
      window.$RefreshSig$ = () => (type) => type
      window.__vite_plugin_react_preamble_installed__ = true
    }
  </script>
  {% endif %}
</head>

<body>
  <div id="root"></div>
  <h1>{{debug}}</h1>
  {% if debug %}
  <!-- This url will be different for each type of app. Point it to your main js file. -->
  <script type="module" src="http://localhost:3000/src/main.tsx"></script>
  {% else %}
  <h1>{{debug}}</h1>
  {% render_vite_bundle %}
  {% endif %}
</body>

</html>
